Bug 221511 - Make libuser automake 1.10-aware
Make libuser automake 1.10-aware
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Depends On:
  Show dependency treegraph
Reported: 2007-01-04 16:10 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-07 08:45:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-01-04 16:10:09 EST
Description of problem:
Please make libuser automake 1.10-aware, because currently it isn't (try to run 
aclocal && automake in the libuser sources).

Version-Release number of selected component (if applicable):

How reproducible:
Everytime, see above.

Expected results:
libuser automake 1.10-aware
Comment 1 Miloslav Trmač 2007-01-04 16:31:48 EST
I'm not running complete rawhide here, could you please briefly describe what's
the actual problem? (e.g. "the package doesn't build under rawhide").  Thanks.
Comment 2 Robert Scheck 2007-01-04 16:37:10 EST
libuser-0.55 # automake
configure.in:5: version mismatch.  This is Automake 1.10,
configure.in:5: but the definition used by this AM_INIT_AUTOMAKE
configure.in:5: comes from Automake 1.9.6.  You should recreate
configure.in:5: aclocal.m4 with aclocal and run automake again.
configure.in: required file `admin/ylwrap' not found
configure.in:   `automake --add-missing' can install `ylwrap'
libuser-0.55 # aclocal
libuser-0.55 # automake --add-missing
docs/reference/gtk-doc.make:7: GTK_DOC_USE_LIBTOOL does not appear in 
docs/reference/Makefile.am:53:   `docs/reference/gtk-doc.make' included from 
docs/reference/gtk-doc.make:43: ENABLE_GTK_DOC does not appear in AM_CONDITIONAL
docs/reference/Makefile.am:53:   `docs/reference/gtk-doc.make' included from 
docs/reference/gtk-doc.make:136: ENABLE_GTK_DOC does not appear in 
docs/reference/Makefile.am:53:   `docs/reference/gtk-doc.make' included from 
configure.in: installing `admin/ylwrap'
libuser-0.55 # autoconf
libuser-0.55 #

I'm just wondering about the warnings and that I've got to use --add-missing. 
Maybe this isn't a bug for you, then it's also okay. Just noticed this. IMHO on 
devel systems, the files should be created using the latest automake/autoconf 
version to avoid such a "version mismatch". But it's up to you of course.
Comment 3 Miloslav Trmač 2007-02-07 08:45:53 EST
I'm sorry about the late response.

* admin/ylwrap is missing because automake 1.10 always uses admin/ylwrap, but
  automake 1.9 didn't use it for libuser
* The version mismatch warnings are caused by incorrect command ordering:
  it should be "... aclocal; autoconf; autoheader; automake".
  I usually rely on the Makefile rules to run the necessary tools in order;
  if that isn't enough, CVS contains an autogen.sh (which is not shipped in the
  released tarball, though).
* The version of autotools used to generate a tarball is completely independent
  of the version of autotools installed on the system the tarball is compiled.
  Unless the rpm needs to patch the autotool input files, there is therefore
  no need to use the latest autotool versions.  libuser will switch to the
  F7 autotool versions around the time F7 is released.

Note You need to log in before you can comment on or make changes to this bug.